Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039739
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-12-04 10:062018-12-12 09:40
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionebac0c010c4c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039739: API Change: Remove logger getter and setter methods in ad_form classes

DescriptionSeveral classes in ad_forms have a getter and setter for their Logger. These methods can be removed and the logger visibility set as private static final.
See 0039657 for more details of the classes to change.
Steps To ReproduceSee above
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039657 resolvedjarmendariz Remove unneeded Logger getters/setters in ad_forms classes 

-  Notes
(0108528)
hgbot (developer)
2018-12-12 09:38

Repository: erp/devel/api-checks
Changeset: ebac0c010c4caa55327b060756cd9f436af6fdb4
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Dec 12 09:38:04 2018 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/ebac0c010c4caa55327b060756cd9f436af6fdb4 [^]

Fixed issue 39739: Removed logger getter and setter in ad_form classes

---
M java/reference/java.japi.gz
---

- Issue History
Date Modified Username Field Change
2018-12-04 10:06 jarmendariz New Issue
2018-12-04 10:06 jarmendariz Assigned To => platform
2018-12-04 10:06 jarmendariz Modules => Core
2018-12-04 10:06 jarmendariz Triggers an Emergency Pack => No
2018-12-04 10:07 jarmendariz Relationship added related to 0039657
2018-12-04 12:24 jarmendariz Assigned To platform => jarmendariz
2018-12-04 12:25 alostale Tag Attached: Approved
2018-12-05 13:22 jarmendariz Status new => scheduled
2018-12-12 09:38 hgbot Checkin
2018-12-12 09:38 hgbot Note Added: 0108528
2018-12-12 09:38 hgbot Status scheduled => resolved
2018-12-12 09:38 hgbot Resolution open => fixed
2018-12-12 09:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/ebac0c010c4caa55327b060756cd9f436af6fdb4 [^]
2018-12-12 09:40 jarmendariz Review Assigned To => alostale


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker